%global pypi_name    psycopg2-binary
%global package_name %(echo "%{pypi_name}" | tr '-' '_' | tr '[:upper:]' '[:lower:]')

%{?scl:%global python3_pkgversion %{nil}}
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Version:        2.7.6.1
Release:        1%{?dist}
Summary:        Python-PostgreSQL Database Adapter

Group:          Development/Libraries
License:        LGPL
URL:            https://pypi.io/project/%{pypi_name}
Source0:        https://pypi.io/packages/source/%(echo "%{pypi_name}" | cut -c 1)/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  postgresql-devel
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-setuptools
%{?scl:BuildRequires: %{scl}-build %{scl}-runtime}

%{?scl:Requires: %{scl}-runtime}

%description
Psycopg is the most popular PostgreSQL database adapter for the Python
programming language. Its main features are the complete implementation of the
Python DB API 2.0 specification and the thread safety (several threads can share
 the same connection). It was designed for heavily multi-threaded applications
that create and destroy lots of cursors and make a large number of concurrent
"INSERT"s or "UPDATE"s.

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%{?scl:scl enable %{scl} "}
%{__python3} setup.py build
%{?scl:"}

%install
%{?scl:scl enable %{scl} "}
%{__python3} \
  setup.py \
  install \
  -O1 \
  --skip-build \
  --root %{buildroot} \
  --install-platlib %{python3_sitearch}
%{?scl:"}

%files
%license LICENSE
%doc AUTHORS
%doc INSTALL
%doc NEWS
%doc README.rst
%{python3_sitearch}/psycopg2
%{python3_sitearch}/%{package_name}-%{version}-py?.?.egg-info

%changelog
* Tue Dec 11 2018 Daniel Uvehag <daniel.uvehag@gmail.com> - 2.7.6.1-1
- Initial package.
